Generic Shipping Attributes
curl --request GET \
--url https://scx-sbx.api.jtl-software.com/v1/channel/shipping-rules/generic-attributes \
--header 'Authorization: Bearer <token>'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/channel/shipping-rules/generic-attributes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://scx-sbx.api.jtl-software.com/v1/channel/shipping-rules/generic-attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"genericAttributeList": [
{
"attributeId": "IMEI",
"displayName": "IMEI",
"type": "text",
"level": "ORDER_ITEM",
"description": "International Mobile Equipment Identity",
"enumValues": [
{
"value": "<string>",
"display": "<string>",
"sort": 0
}
],
"attributeValueValidation": "/^[0-9]{15}$/",
"isMultipleAllowed": false,
"required": false,
"recommended": false
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Meta
Generic Shipping Attributes
Returns the catalog of generic shipping attributes provided by JTL (e.g. IMEI, SERIAL_NUMBER,
DELIVERY_NOTE_NUMBER). A channel activates the ones it needs via activatedGenericAttributeList on
PUT /v1/channel/shipping-rules.
GET
/
v1
/
channel
/
shipping-rules
/
generic-attributes
Generic Shipping Attributes
Authorizations
As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.
Response
Generic shipping attribute catalog retrieved
Catalog of generic shipping attributes JTL provides across all channels.
Show child attributes
Show child attributes
Was this page helpful?
⌘I